/*!istanbul ignore file */
const { resolve } = require("path");
const { build } = require("esbuild");

const buildIndex = (config) =>
  build({
    bundle: true,
    sourcemap: true,
    entryPoints: [resolve(__dirname, "../src/index.ts")],
    target: ["es2017"],
    globalName: "JsonRpc",
    ...config,
  });


module.exports = buildIndex;